package cz.muni.fi.pa165.entity;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.HashSet;
import java.util.Set;

/**
 * @author xpiacek
 */
@Getter
@Setter
@Entity
public class TournamentOrganizerEntity extends PersonEntity {

    @OneToMany(mappedBy = "tournamentOrganizer")
    private Set<TournamentEntity> organizedTournaments = new HashSet<>();

    @OneToMany(mappedBy = "tournamentOrganizer")
    private Set<TournamentEntity> futureTournaments = new HashSet<>();

    public TournamentOrganizerEntity() {
    }

    public TournamentOrganizerEntity(String name){
        super(name);
    }

    /**
     * Adds tournament for the TournamentOrganizer to the set of organizedTournaments.
     * @param organizedT Organized tournament.
     */
    public void addOrganizedTournament(TournamentEntity organizedT){
        this.organizedTournaments.add(organizedT);
    }

    /**
     * Adds tournament for the TournamentOrganizer to the set of futureTournaments.
     * @param futureT Future tournament which is organized by tournament organizer.
     */
    public void addFutureTournament(TournamentEntity futureT){
        this.futureTournaments.add(futureT);
    }

}
