package cz.muni.fi.pa165.entity;

import cz.muni.fi.pa165.enums.CountryEnum;
import org.junit.jupiter.api.Test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import java.time.LocalDate;

import static org.junit.jupiter.api.Assertions.assertEquals;

/**
 * @author Marek Kadlečík
 */
public class PersonEntityTest {

    private final EntityManagerFactory emf = Persistence.createEntityManagerFactory("default");
    private final LocalDate BIRTH_DATE = LocalDate.of(2022,2,2);

    @Test
    void saveRetrievePersonEntity() {
        PersonEntity person;
        EntityManager em = null;
        try {
            em = emf.createEntityManager();
            em.getTransaction().begin();
            person = new PersonEntity();
            person.setName("TestName");
            person.setCountry(CountryEnum.SLOVAKIA);
            person.setDateOfBirth(BIRTH_DATE);
            em.persist(person);
            em.getTransaction().commit();
        } finally {
            if (em != null) em.close();
        }

        PersonEntity person1;
        EntityManager em1 = null;
        try {
            em1 = emf.createEntityManager();
            em1.getTransaction().begin();
            person1 = em1.find(PersonEntity.class, person.getId());
            em1.getTransaction().commit();
        } finally {
            if (em1 != null) em1.close();
        }
        assertEquals(person1.getDateOfBirth(), BIRTH_DATE);
        assertEquals(person1.getCountry(), CountryEnum.SLOVAKIA);
        assertEquals(person1.getName(), "TestName");
    }
}
