package cz.muni.fi.pa165.facade;

import cz.muni.fi.pa165.dto.TeamDTO;
import cz.muni.fi.pa165.entity.PlayerEntity;
import cz.muni.fi.pa165.entity.TeamEntity;
import cz.muni.fi.pa165.services.BeanMappingService;
import cz.muni.fi.pa165.services.player.PlayerService;
import cz.muni.fi.pa165.services.team.TeamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;
import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Service
@Transactional
public class TeamFacadeImpl implements TeamFacade {
    @Autowired
    private TeamService teamService;

    @Autowired
    private BeanMappingService beanMappingService;
    @Override
    public List<TeamDTO> findAllTeams() {

        return beanMappingService.mapTo(teamService.findAll(), TeamDTO.class);
    }

    @Override
    public TeamDTO getTeamById(String uuid) {
        TeamEntity team = teamService.findById(uuid);
        return (team == null) ? null : beanMappingService.mapTo(team, TeamDTO.class);
    }

    @Override
    public String createTeam(TeamDTO TeamDTO) {
        TeamEntity team = new TeamEntity();

        team.setName(TeamDTO.getName());
        team.setCountry(TeamDTO.getCountry());

        teamService.create(team);
        return team.getId();
    }
    @Override
    public void delete(String uuid) {
        var team = new TeamEntity();
        team.setId(uuid);
        teamService.remove(team);
    }
}
