package cz.muni.fi.pa165.services.person;

import cz.muni.fi.pa165.entity.PersonEntity;

import java.util.List;

/**
 * @author Dominik Kozubík
 */
public interface PersonService {

    void create(PersonEntity match);

    List<PersonEntity> findAll();

    PersonEntity findById(String id);

    PersonEntity findByUsername(String username);

    /**
     * Try to authenticate a user. Return true only if the hashed password matches the records.
     */
    boolean authenticate(PersonEntity person, String password);

    /**
     * Check if the given user is admin.
     */
    boolean isAdmin(PersonEntity person);

    String update(PersonEntity match);

    void remove(PersonEntity match);
}
