<%@ page contentType="text/html;charset=UTF-8" pageEncoding="utf-8" trimDirectiveWhitespaces="false" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="my" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<my:pagetemplate title="Matches">
<jsp:attribute name="body">

    <c:if test="${not empty sessionScope.authenticatedUser}">
        <my:a href="/match/new" class="btn btn-primary">
            <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>
            New match
        </my:a>
    </c:if>

    <table class="table">
        <thead>
        <tr>
            <th>Tournament</th>
            <th>Teams</th>
            <th>Players</th>
        </tr>
        </thead>
        <tbody>
        <c:forEach items="${matches}" var="match">
            <tr>
                <td><c:out value="${match.tournament.city}"/></td>
                <td><c:out value="${match.teams.toArray()}"/></td>
                <td><c:out value="${match.playerList.toArray()}"/></td>
                <td>
                    <my:a href="/match/view/${match.id}" class="btn btn-primary">View</my:a>
                </td>
                <c:if test="${not empty sessionScope.authenticatedUser}">
                    <td>
                        <form method="post" action="${pageContext.request.contextPath}/match/delete/${match.id}">
                            <button type="submit" class="btn btn-primary">Delete</button>
                        </form>
                    </td>
                </c:if>
            </tr>
        </c:forEach>
        </tbody>
    </table>


</jsp:attribute>
</my:pagetemplate>