<%@ page contentType="text/html;charset=UTF-8" pageEncoding="utf-8" trimDirectiveWhitespaces="false" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="my" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<my:pagetemplate title="Players">
<jsp:attribute name="body">

    <c:if test="${not empty sessionScope.authenticatedUser}">
        <my:a href="/player/new" class="btn btn-primary">
            <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>
            New Player
        </my:a>
    </c:if>

    <table class="table">
        <thead>
        <tr>
            <th>name</th>
            <th>country</th>
            <th>team</th>
            <th>killStat</th>
            <th>deathStat</th>
            <th>assistStat</th>
        </tr>
        </thead>
        <tbody>
        <c:forEach items="${players}" var="player">
            <tr>
                <td><c:out value="${player.name}"/></td>
                <td><c:out value="${player.country}"/></td>
                <td><c:out value="${player.team.name}"/></td>
                <td><c:out value="${player.killStat}"/></td>
                <td><c:out value="${player.deathStat}"/></td>
                <td><c:out value="${player.assistStat}"/></td>
                <td>
                    <my:a href="/player/view/${player.id}" class="btn btn-primary">View</my:a>
                </td>
                <c:if test="${not empty sessionScope.authenticatedUser}">
                    <td>
                        <form method="post" action="${pageContext.request.contextPath}/player/delete/${player.id}">
                            <button type="submit" class="btn btn-primary">Delete</button>
                        </form>
                    </td>
                </c:if>
            </tr>
        </c:forEach>
        </tbody>
    </table>


</jsp:attribute>
</my:pagetemplate>