<%@ page contentType="text/html;charset=UTF-8" pageEncoding="utf-8" trimDirectiveWhitespaces="false" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="my" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<my:pagetemplate title="Player Administration">
<jsp:attribute name="body">
    <c:if test="${not empty sessionScope.authenticatedUser}">
        <div class="row">
            <div class="col-xs-12 col-sm-6 col-md-2 col-lg-1">
                <form method="post" action="${pageContext.request.contextPath}/player/delete/${player.id}">
                    <button type="submit" class="btn btn-primary ">
                        <span class="glyphicon glyphicon-minus"></span>
                        Delete</button>
                </form>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-2 col-lg-1">
                <form method="post" action="${pageContext.request.contextPath}/player/edit/${player.id}">
                    <button type="submit" class="btn btn-primary ">
                        <span class="glyphicon glyphicon-asterisk"></span>
                        Edit</button>
                </form>
            </div>
        </div>
    </c:if>

    <table class="table">
        <thead>
        <tr>
            <th>name</th>
            <th>country</th>
            <th>team</th>
            <th>killStat</th>
            <th>deathStat</th>
            <th>assistStat</th>
        </tr>
        </thead>
        <tbody>
            <tr>
                <td><c:out value="${player.name}"/></td>
                <td><c:out value="${player.country}"/></td>
                <td><c:out value="${player.team.name}"/></td>
                <td><c:out value="${player.killStat}"/></td>
                <td><c:out value="${player.deathStat}"/></td>
                <td><c:out value="${player.assistStat}"/></td>
            </tr>
        </tbody>
    </table>

    <my:a href="/player/list" class="btn btn-primary">
        <span class="glyphicon glyphicon-user" aria-hidden="true"></span>
        List all players
    </my:a>

</jsp:attribute>
</my:pagetemplate>