<%@ page contentType="text/html;charset=UTF-8" pageEncoding="utf-8" trimDirectiveWhitespaces="false" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="my" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<my:pagetemplate title="Teams">
<jsp:attribute name="body">

    <c:if test="${not empty sessionScope.authenticatedUser}">
        <my:a href="/team/new" class="btn btn-primary">
            <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>
            New team
        </my:a>
    </c:if>

    <table class="table">
        <thead>
        <tr>
            <th>name</th>
            <th>country</th>
        </tr>
        </thead>
        <tbody>
        <c:forEach items="${teams}" var="team">
            <tr>
                <td><c:out value="${team.name}"/></td>
                <td><c:out value="${team.country}"/></td>
                <td>
                    <my:a href="/team/view/${team.id}" class="btn btn-primary">View</my:a>
                </td>
                <c:if test="${not empty sessionScope.authenticatedUser}">
                    <td>
                        <form method="post" action="${pageContext.request.contextPath}/team/delete/${team.id}">
                            <button type="submit" class="btn btn-primary">Delete</button>
                        </form>
                    </td>
                </c:if>
            </tr>
        </c:forEach>
        </tbody>
    </table>


</jsp:attribute>
</my:pagetemplate>