<%@ page contentType="text/html;charset=UTF-8" pageEncoding="utf-8" trimDirectiveWhitespaces="false" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="my" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<my:pagetemplate title="New tournament">
<jsp:attribute name="body">

    <form:form method="post" action="${pageContext.request.contextPath}/tournament/create"
               modelAttribute="tournamentsCreate" cssClass="form-horizontal">
        <div class="form-group ${name_error?'has-error':''}">
            <form:label path="city" cssClass="col-sm-2 control-label">City</form:label>
            <div class="col-sm-10">
                <form:input path="city" cssClass="form-control"/>
                <form:errors path="city" cssClass="help-block"/>
            </div>
        </div>
        <div class="form-group ${name_error?'has-error':''}">
            <form:label path="name" cssClass="col-sm-2 control-label">Name</form:label>
            <div class="col-sm-10">
                <form:input path="name" cssClass="form-control"/>
                <form:errors path="name" cssClass="help-block"/>
            </div>
        </div>
        <div class="form-group">
            <form:label path="country" cssClass="col-sm-2 control-label">Country</form:label>
            <div class="col-sm-10">
                <form:select path="country" cssClass="form-control">
                    <c:forEach items="${countries}" var="c">
                        <form:option value="${c}">${c}</form:option>
                    </c:forEach>
                </form:select>
                <form:errors path="country" cssClass="error"/>
            </div>
        </div>
        <div class="form-group">
            <form:label path="tournamentFormat" cssClass="col-sm-2 control-label">Format</form:label>
            <div class="col-sm-10">
                <form:select path="tournamentFormat" cssClass="form-control">
                    <c:forEach items="${formats}" var="c">
                        <form:option value="${c}">${c}</form:option>
                    </c:forEach>
                </form:select>
                <form:errors path="tournamentFormat" cssClass="error"/>
            </div>
        </div>
        <div class="form-group ${price_error?'has-error':''}" >
            <form:label path="prizePool" cssClass="col-sm-2 control-label">Prize Pool</form:label>
            <div class="col-sm-10">
                <form:input path="prizePool" cssClass="form-control"/>
                <form:errors path="prizePool" cssClass="help-block"/>
            </div>
        </div>
        <div class="form-group ${capacity_error?'has-error':''}" >
            <form:label path="teamCapacity" cssClass="col-sm-2 control-label">Team Capacity</form:label>
            <div class="col-sm-10">
                <form:input path="teamCapacity" cssClass="form-control"/>
                <form:errors path="teamCapacity" cssClass="help-block"/>
            </div>
        </div>

        <button class="btn btn-primary" type="submit">Create tournament</button>
    </form:form>

</jsp:attribute>
</my:pagetemplate>